| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
EmbeddedGotoAction Class Reference
PDF » actions

EmbeddedGoto action object. More...

Inheritance diagram for EmbeddedGotoAction:

## Public Member Functions
| getDestination ()
| Get the destination information. More...
| getNewWindowFlag ()
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
| getTargetFileInfo ()
| Get the Target file information. More...
Public Member Functions inherited from Action
| getSubAction (index)
| Get a sub-action by index. More...
| getSubActionCount ()
| Get the count of sub-actions. More...
| getType ()
| Get action type. More...
| insertSubAction (index, action)
| Insert a new sub-action to the location specified by index. More...
| removeAllSubActions ()
| Remove all the sub-actions. More...
| removeSubAction (index)
| Remove a sub-action, specified by index. More...
| setSubAction (index, action)
| Set a sub-action by index. More...

## Detailed Description

EmbeddedGoto action object.

Since
  9.1.0

Deprecated:
  Action related APIs have been moved under each object.

See also
  Annot
  Widget
  PDFFormField
  PDFDoc

## Member Function Documentation

## ◆ getDestination()

EmbeddedGotoAction::getDestination | ( |  | ) |
| inline

Get the destination information.

Since
  9.1.0

Returns
  object - A destination object.
  {
  zoomMode string // The zoom mode.
  zoomFactor number // The zoom factor.
  pageIndex: string // The index of the destination page in the PDF document.
  left: string // The left position value
  top: string // The top position value
  right: string // The right position value
  bottom: string // The bottom position value
  }

Example:
  function example(action){
  return action.getDestination();
  }

## ◆ getNewWindowFlag()

EmbeddedGotoAction::getNewWindowFlag | ( |  | ) |
| inline

Get the flag which is used to decide whether to open the destination document in a new window or not.

Since
  9.1.0

Returns
  number - Please refer to NewWindowFlag

Example:
  function example(action){
  return action.getNewWindowFlag();
  }

## ◆ getTargetFileInfo()

EmbeddedGotoAction::getTargetFileInfo | ( |  | ) |
| inline

Get the Target file information.

Since
  9.1.0

Returns
  Promise<object> - The file information.
  //The file information is as follows:
  {
  blob:Blob,//File blob data.
  fileName:string,//The file name.
  description:string,//The file description.
  fileSize:number,//The file size.
  }

Example:
  async function example(action){
  return await action.getTargetFileInfo();
  }

@2025 Foxit Software Incorporated. All rights reserved.